Bug 985182 - expired certificate should say how to fix it
expired certificate should say how to fix it
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
20
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Pavol Babinčák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 00:02 EDT by Jan Kratochvil
Modified: 2015-05-10 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: rpkg-1.33-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 15:27:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2013-07-17 00:02:52 EDT
Description of problem:
Why I have to Google what to do?  fedpkg could say it on its own.

Version-Release number of selected component (if applicable):
fedpkg-1.11-2.fc18.noarch

How reproducible:
Tried once.

Steps to Reproduce:
fedpkg build

Actual results:
Could not execute build: [('SSL routines', 'SSL3_READ_BYTES', 'sslv3 alert certificate expired'), ('SSL routines', 'SSL3_READ_BYTES', 'ssl handshake failure')]

Expected results:
Could not execute build: [('SSL routines', 'SSL3_READ_BYTES', 'sslv3 alert certificate expired'), ('SSL routines', 'SSL3_READ_BYTES', 'ssl handshake failure')]
Login to: https://admin.fedoraproject.org/accounts/login

Additional info:
Comment 1 Jan Kratochvil 2013-07-17 00:04:57 EDT
+ filed related for FAS:
https://fedorahosted.org/fas/ticket/170
To do queue should list expired certificates
Comment 2 Jan Kratochvil 2013-07-17 00:07:06 EDT
It should say:
Run: fedora-packager-setup

As somehow the certificate is probably no longer downloaded via web as before, or I am not sure, why it is so complicated?
Comment 3 Fedora End Of Life 2013-09-16 10:33:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Fedora Update System 2015-04-15 05:06:24 EDT
rpkg-1.33-1.fc20,fedpkg-1.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpkg-1.33-1.fc20,fedpkg-1.20-1.fc20
Comment 5 Fedora Update System 2015-04-15 05:19:15 EDT
rpkg-1.33-1.fc21,fedpkg-1.20-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rpkg-1.33-1.fc21,fedpkg-1.20-1.fc21
Comment 6 Fedora Update System 2015-04-15 11:51:39 EDT
rpkg-1.33-1.fc22,fedpkg-1.20-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rpkg-1.33-1.fc22,fedpkg-1.20-1.fc22
Comment 7 Fedora Update System 2015-04-15 11:54:56 EDT
rpkg-1.33-1.el7,fedpkg-1.20-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rpkg-1.33-1.el7,fedpkg-1.20-1.el7
Comment 8 Fedora Update System 2015-04-16 04:58:35 EDT
rpkg-1.34-1.el6,fedpkg-1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rpkg-1.34-1.el6,fedpkg-1.20-1.el6
Comment 9 Fedora Update System 2015-04-17 14:15:10 EDT
Package rpkg-1.33-1.el7, fedpkg-1.20-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rpkg-1.33-1.el7 fedpkg-1.20-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5830/rpkg-1.33-1.el7,fedpkg-1.20-1.el7
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2015-04-21 15:27:27 EDT
rpkg-1.33-1.fc22, fedpkg-1.20-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-04-27 04:41:25 EDT
rpkg-1.33-1.fc21, fedpkg-1.20-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-05-08 12:39:30 EDT
rpkg-1.34-1.el6, fedpkg-1.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-05-08 12:41:59 EDT
rpkg-1.33-1.el7, fedpkg-1.20-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-05-10 19:40:38 EDT
rpkg-1.33-1.fc20, fedpkg-1.20-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.